Name:          geocode-glib
Version:       3.26.1
Release:       1mamba
Summary:       A convenience library for the geocoding and reverse geocoding
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://git.gnome.org/browse/geocode-glib/
Source:        https://gitlab.gnome.org/GNOME/geocode-glib.git/%{version}/geocode-glib-%{version}.tar.bz2
#Source:        https://git.gnome.org/browse/geocode-glib/snapshot/geocode-glib-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libffi-devel
BuildRequires: libglib-devel
BuildRequires: libjson-glib-devel
BuildRequires: liblzma-devel
BuildRequires: libselinux-devel
BuildRequires: libsoup-devel
BuildRequires: libsqlite-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
geocode-glib is a convenience library for the geocoding (finding longitude, and latitude from an address) and reverse geocoding (finding an address from coordinates). It uses Nominatim service to achieve that. It also caches (reverse-)geocoding requests for faster results and to avoid unnecessary server load.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
sed -i "s|mesontest|meson|" configure

%build
#./autogen.sh
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/GeocodeGlib-1.0.typelib
%{_libdir}/libgeocode-glib.so.*
%dir %{_libexecdir}/installed-tests/geocode-glib
%{_libexecdir}/installed-tests/geocode-glib/*
%{_datadir}/icons/gnome/scalable/places/poi-*.svg
%doc AUTHORS COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/geocode-glib-1.0
%dir %{_includedir}/geocode-glib-1.0/geocode-glib
%{_includedir}/geocode-glib-1.0/geocode-glib/*.h
%{_libdir}/libgeocode-glib.so
%{_libdir}/pkgconfig/geocode-glib-1.0.pc
%{_datadir}/gir-1.0/GeocodeGlib-1.0.gir
#%doc NEWS README TODO

%changelog
* Sat Mar 30 2019 Automatic Build System <autodist@mambasoft.it> 3.26.1-1mamba
- automatic version update by autodist

* Sun Jul 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 3.26.0-1mamba
- update to 3.26.0

* Sat Jan 06 2018 Automatic Build System <autodist@mambasoft.it> 3.25.4.1-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 3.24.0-1mamba
- automatic version update by autodist

* Mon Apr 24 2017 Automatic Build System <autodist@mambasoft.it> 3.23.90-1mamba
- automatic version update by autodist

* Sun Apr 24 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.20.1-1mamba
- update to 3.20.1

* Sun Feb 21 2016 Automatic Build System <autodist@mambasoft.it> 3.18.2-1mamba
- automatic version update by autodist

* Mon Feb 01 2016 Automatic Build System <autodist@mambasoft.it> 3.18.1-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 3.18.0-1mamba
- automatic version update by autodist

* Wed May 13 2015 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Thu Apr 09 2015 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Tue Sep 23 2014 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Wed Jun 25 2014 Automatic Build System <autodist@mambasoft.it> 3.13.3-1mamba
- automatic version update by autodist

* Tue May 13 2014 Automatic Build System <autodist@mambasoft.it> 3.12.2-1mamba
- automatic version update by autodist

* Tue Mar 25 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Wed Mar 19 2014 Automatic Build System <autodist@mambasoft.it> 3.11.92.2-1mamba
- automatic version update by autodist

* Tue Mar 18 2014 Automatic Build System <autodist@mambasoft.it> 3.11.92-1mamba
- automatic version update by autodist

* Tue Mar 04 2014 Automatic Build System <autodist@mambasoft.it> 3.11.91-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 3.11.5-1mamba
- automatic version update by autodist

* Fri Jan 17 2014 Automatic Build System <autodist@mambasoft.it> 3.11.4.1-1mamba
- automatic version update by autodist

* Mon Oct 28 2013 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Sun Sep 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99.2-1mamba
- package created by silvan using the webbuild interface
